Index: asterisk/trunk/Makefile
===================================================================
--- asterisk/trunk/Makefile	(revision 7210)
+++ asterisk/trunk/Makefile	(working copy)
@@ -592,7 +592,7 @@
 	mkdir -p $(DESTDIR)$(AGI_DIR)
 
 update: 
-	@if [ -d CVS ]; then \
+	@if [ -d .svn ]; then \
 		if [ -f patches/.applied ]; then \
 			patches=`cat patches/.applied`; \
 		fi; \
@@ -603,6 +603,36 @@
 			done; \
 			rm -f patches/.applied; \
 		fi ; \
+		echo "Updating from subversion..." ; \
+		svn update | tee update.out; \
+		rm -f .version; \
+		if [ `grep -c ^C update.out` -gt 0 ]; then \
+			echo ; echo "The following files have conflicts:" ; \
+			grep ^C update.out | cut -b4- ; \
+		fi ; \
+		rm -f update.out; \
+		if [ ! -z "$$patches" ]; then \
+			for x in $$patches; do \
+				if [ -f patches/$$x ]; then \
+					echo "Applying patch $$x..."; \
+					patch -p0 < patches/$$x; \
+					echo $$x >> patches/.applied; \
+				else \
+					echo "Patch $$x no longer relevant"; \
+				fi; \
+			done; \
+		fi; \
+	elif [ -d CVS ]; then \
+		if [ -f patches/.applied ]; then \
+			patches=`cat patches/.applied`; \
+		fi; \
+		if [ ! -z "$$patches" ]; then \
+			for x in $$patches; do \
+				echo "Unapplying $$x..."; \
+				patch -R -p0 < patches/$$x; \
+			done; \
+			rm -f patches/.applied; \
+		fi ; \
 		echo "Updating from CVS..." ; \
 		cvs -q -z3 update -Pd | tee update.out; \
 		rm -f .version; \
Index: zaptel/trunk/Makefile
===================================================================
--- zaptel/trunk/Makefile	(revision 833)
+++ zaptel/trunk/Makefile	(working copy)
@@ -394,11 +394,14 @@
 	fi
 
 update:
-	@if [ -d CVS ]; then \
+	@if [ -d .svn ]; then \
+		echo "Updating from subversion..." ; \
+		svn update -q; \
+	elif [ -d CVS ]; then \
 		echo "Updating from CVS..." ; \
 		cvs -q -z3 update -Pd; \
 	else \
-		echo "Not CVS";  \
+		echo "Not under version control"; \
 	fi
 
 clean:
Index: asterisk-addons/trunk/Makefile
===================================================================
--- asterisk-addons/trunk/Makefile	(revision 172)
+++ asterisk-addons/trunk/Makefile	(working copy)
@@ -84,9 +84,12 @@
 	./mkdep $(CFLAGS) `ls *.c`
 
 update:
-	@if [ -d CVS ]; then \
+	@if [ -d .svn ]; then \
+		echo "Updating from subversion..." ; \
+		svn update -q; \
+	elif [ -d CVS ]; then \
 		echo "Updating from CVS..." ; \
 		cvs -q -z3 update -Pd; \
 	else \
-		echo "Not CVS";  \
+		echo "Not under version control"; \
 	fi
Index: asterisk-sounds/trunk/Makefile
===================================================================
--- asterisk-sounds/trunk/Makefile	(revision 28)
+++ asterisk-sounds/trunk/Makefile	(working copy)
@@ -117,9 +117,12 @@
 FORCE:
 
 update:
-	@if [ -d CVS ]; then \
-		echo "Updating from CVS..."; \
+	@if [ -d .svn ]; then \
+		echo "Updating from subversion..." ; \
+		svn update -q; \
+	elif [ -d CVS ]; then \
+		echo "Updating from CVS..." ; \
 		cvs -q -z3 update -Pd; \
 	else \
-		echo "Not CVS"; \
+		echo "Not under version control"; \
 	fi
